/****************************************************************************
 * 팝업 등록
 ****************************************************************************/
function fn_insertWebPopup(){
    if("Y"!=insertUseYn){
        modalEvent.warning("", "등록 권한이 없습니다.");
        return false;
    }

    let title          = $("#title").val();
    let url            = $("#url").val();
    let file           = $("#file")[0].files[0];
	let homepageDivCd = $("#homepageDivCd").val();
	
    if(true != fn_emptyCheck(title)) {
        modalEvent.warning("등록", "제목을 입력하세요.");
        return;
    }

    if(true != fn_emptyCheck(url)) {
        modalEvent.warning("등록", "url을 입력하세요.");
        return;
    }
	
	if (true != fn_emptyCheck(homepageDivCd)) {
	    modalEvent.warning("등록", "homepageDivCd를 선택하세요.");
	    return;
	}

    if(true != fn_emptyCheck(file)) {
        modalEvent.warning("등록", "이미지 정보가 없습니다.");
        return;
    }else{
        for(let i=0; i<file.length; i++){
            let fileSize = file[i].size;
            if(fileSize > fn_maxFileSize()){
                modalEvent.warning("", "파일정보 용량이 50MB를 넘습니다. 업로드가 불가능합니다.");

                return;
            }
        }
    }

    modalEvent.info("등록", "팝업 정보를 등록하시겠습니까?", function(){
        let formData = new FormData();
		
        formData.append("menuClass", menuClass);
        formData.append("title", title);
        formData.append("url", url);
        formData.append("file", file);
		formData.append("homepageDivCd", homepageDivCd);

        $.ajax({
            url: encodeURI('/webpopup/insertWebPopup.do'),
            data: formData,
            dataType: "json",
            processData: false,
            contentType: false,
            type: 'POST',
            async: true,
            success: function(data){
                if('0'==data.msgCode){
                    modalEvent.success("등록 성공", data.msgDesc, function(){
                        fn_selectListWebPopupIntro();
                    });
                }
                else{
                    modalEvent.danger("등록 오류", data.msgDesc);
                }
            },
            error : function(xhr, status, error) {
                modalEvent.danger("등록 오류", "등록 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            },
            beforeSend:function(){

            },
            complete:function(){

            }
        });
    });
}

/****************************************************************************
 * 섬네일 이미지 미리보기
 ****************************************************************************/
function fn_filePreview(){
   const file =  $("#file")[0].files[0];
   if(file){
       $('.img_box').eq(0).html('');
       const reader = new FileReader();

       reader.onload = function (e) {
           // 이미지 요소를 생성하고 미리보기 추가
           const img = document.createElement('img');
           img.src = e.target.result;
           img.style.width = '170px'; // 원하는 크기로 조정
           img.style.height = '100px';
           $('.img_box').eq(0).append(img);
       };

       // 파일을 읽기 시작
       reader.readAsDataURL(file);
   }
}
/****************************************************************************
 * 섬네일 이미지 삭제
 ****************************************************************************/
function fn_removePreview(){
    $("#file").val('');
    $('.img_box').eq(0).html('');
}

/****************************************************************************
 * 리스트 화면으로 이동.
 ****************************************************************************/
function fn_selectListWebPopupIntro(){
    if("Y"==selectUseYn){
        let pagingParam = "?menuClass="+menuClass;
        fn_leftFormAction("/webpopup/selectListWebPopupIntro.do"+pagingParam);
    }else{
        modalEvent.warning("", "조회 권한이 없습니다.");
        return false;
    }
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
    // 날짜 datepicker
    fn_searchDatePicker("#eventStartDate", "#eventEndDate");
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
    // 검색 input
    $('.btnCancle').on("click", function(){
        fn_selectListWebPopupIntro();
    });

    $('.btnSave').on("click", function(){
        fn_insertWebPopup();
    });
    $('#delete_btn').on("click", function(){
        fn_removePreview();
    });
    $('#file').on('change', function(e) {
        fn_filePreview();
    })
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});